Bug 1027416 - eog displaces BMP file
eog displaces BMP file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 13:55 EST by Dimitri Papadopoulos
Modified: 2015-10-17 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1193644 (view as bug list)
Environment:
Last Closed: 2015-02-17 14:06:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BMP file - created by ImageMagick if I recall correctly (32.08 KB, image/bmp)
2013-11-06 13:55 EST, Dimitri Papadopoulos
no flags Details
screenshot of eog shifting the BMP file (47.74 KB, image/png)
2013-11-06 13:56 EST, Dimitri Papadopoulos
no flags Details
screenshot of ImageMagick properly displaying the BMP file (24.30 KB, image/png)
2013-11-06 13:57 EST, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2013-11-06 13:55:34 EST
Created attachment 820686 [details]
BMP file - created by ImageMagick if I recall correctly

Description of problem:
The attached BMP file is not properly displayed by eog. I've just noticed shotwell is broken as well. Gimp and ImageMagick display the BMP file properly - therefore the bug must be in some Gnome library.


Version-Release number of selected component (if applicable):
eog-3.8.2-2.fc19.x86_64


How reproducible:
Always.


Steps to Reproduce:
1. Download the attached file.
2. Display it in eog or shotwell. Notice how the image is shifted.
Comment 1 Dimitri Papadopoulos 2013-11-06 13:56:56 EST
Created attachment 820687 [details]
screenshot of eog shifting the BMP file
Comment 2 Dimitri Papadopoulos 2013-11-06 13:57:46 EST
Created attachment 820688 [details]
screenshot of ImageMagick properly displaying the BMP file
Comment 3 Fedora End Of Life 2015-01-09 15:29:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Dimitri Papadopoulos 2015-01-10 04:38:31 EST
This bug is still present in Fedora 21.
Comment 5 Dimitri Papadopoulos 2015-01-10 04:41:17 EST
Version-Release number of selected component (if applicable):
eog-3.14.3-1.fc21.x86_64

I'm not sure how to change the version of Fedora ssociated to this bug report. I have change my email address meanwhile and this seems enough to lose "ownership".
Comment 6 Dimitri Papadopoulos 2015-01-10 04:53:04 EST
Bug filed upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=742689
Comment 7 Fedora End Of Life 2015-02-17 14:06:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Dimitri Papadopoulos 2015-02-17 14:42:48 EST
Please reopen.
As I said bug is still there in Fedora 21.
Comment 9 Dimitri Papadopoulos 2015-10-17 13:48:07 EDT
Bug has already been opened upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=742689

Note You need to log in before you can comment on or make changes to this bug.